Spaces method and path for this operation:
delete /s/{space_id}/api/fleet/fleet_server_hosts/{itemId}
Refer to Spaces for more information.
Delete a Fleet Server host by ID.
[Required authorization] Route required privileges: fleet-settings-all.
DELETE
/api/fleet/fleet_server_hosts/{itemId}
curl \
--request DELETE 'https://<KIBANA_URL>/api/fleet/fleet_server_hosts/{itemId}' \
--header "Authorization: $API_KEY" \
--header "kbn-xsrf: true"
Response examples (200)
The Fleet Server host was successfully deleted
{
"id": "fleet-server-host-id-1"
}
Response examples (400)
Example of a generic error response
{
"error": "Bad Request",
"message": "An error message describing what went wrong",
"statusCode": 400
}
Response examples (404)
No Fleet Server host was found with the given ID
{
"error": "Not Found",
"message": "Fleet server fleet-server-host-id-1 not found",
"statusCode": 404
}